<?php
namespace Creativeimagescroll;

use Creativeimagescroll\PageSettings\Page_Settings;
define( "BWDISCR_ASFSK_ASSETS_PUBLIC_DIR_FILE", plugin_dir_url( __FILE__ ) . "assets/public" );
define( "BWDISCR_ASFSK_ASSETS_ADMIN_DIR_FILE", plugin_dir_url( __FILE__ ) . "assets/admin" );

class Classbwdiscrimagescroll {

	private static $_instance = null;

	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	public function bwdiscr_admin_editor_scripts() {
		add_filter( 'script_loader_tag', [ $this, 'bwdiscr_admin_editor_scripts_as_a_module' ], 10, 2 );
	}

	public function bwdiscr_admin_editor_scripts_as_a_module( $tag, $handle ) {
		if ( 'bwdiscr_the_pricing_editor' === $handle ) {
			$tag = str_replace( '<script', '<script type="module"', $tag );
		}

		return $tag;
	}

	private function include_widgets_files() {
		require_once( __DIR__ . '/widgets/bwdiscr-image-scroll.php' );
	}

	public function bwdiscr_register_widgets() {
		// Its is now safe to include Widgets files
		$this->include_widgets_files();

		// Register Widgets
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\bwdiscrImageScroll() );
	}

	private function add_page_settings_controls() {
		require_once( __DIR__ . '/page-settings/bwdiscr-image-scroll-manager.php' );
		new Page_Settings();
	}

	// Register Category
	function bwdiscr_add_elementor_widget_categories( $elements_manager ) {

		$elements_manager->add_category(
			'bwdiscr-image-scroll-category',
			[
				'title' => esc_html__( 'Image Scroll', 'bwdiscr-image-scroll' ),
				'icon' => 'eicon-person',
			]
		);
	}
	public function bwdiscr_all_assets_for_the_public(){
		wp_enqueue_style( 'bwdiscr_image_scroll_font_awesome_css', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css', array(), '5.7.2', 'all' );
		$all_css_js_file = array(
            'bwdiscr_image_scroll_style_css' => array('bwdiscr_path_define'=>BWDISCR_ASFSK_ASSETS_PUBLIC_DIR_FILE . '/css/style.css'),
        );
        foreach($all_css_js_file as $handle => $fileinfo){
            wp_enqueue_style( $handle, $fileinfo['bwdiscr_path_define'], null, '1.0', 'all');
        }
	}
	public function bwdiscr_all_assets_for_elementor_editor_admin(){
		$all_css_js_file = array(
            'bwdiscr_image_scroll_admin_icon_css' => array('bwdiscr_path_admin_define'=>BWDISCR_ASFSK_ASSETS_ADMIN_DIR_FILE . '/icon.css'),
        );
        foreach($all_css_js_file as $handle => $fileinfo){
            wp_enqueue_style( $handle, $fileinfo['bwdiscr_path_admin_define'], null, '1.0', 'all');
        }
	}

	public function __construct() {
		// For public assets
		add_action('wp_enqueue_scripts', [$this, 'bwdiscr_all_assets_for_the_public']);

		// For Elementor Editor
		add_action('elementor/editor/before_enqueue_scripts', [$this, 'bwdiscr_all_assets_for_elementor_editor_admin']);
		
		// Register Category
		add_action( 'elementor/elements/categories_registered', [ $this, 'bwdiscr_add_elementor_widget_categories' ] );

		// Register widgets
		add_action( 'elementor/widgets/widgets_registered', [ $this, 'bwdiscr_register_widgets' ] );

		// Register editor scripts
		add_action( 'elementor/editor/after_enqueue_scripts', [ $this, 'bwdiscr_admin_editor_scripts' ] );
		
		$this->add_page_settings_controls();
	}
}

// Instantiate Plugin Class
Classbwdiscrimagescroll::instance();